EDIT - bug #5163

Converting persons to team members may result in "-empty team-"
08/21/2015 08:58 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.19

Severity: normal Found in Version:

Description

A tried to convert a person to a team, but there was no member added to the team and the title cache is only "-empty team-".

Moving links to the objects seems to work.

Related issues:

Related to EDIT - feature request #4769: Allow convert team to person Closed
Related to EDIT - feature request #4770: Allow convert person to team Closed
Related to EDIT - feature request #4908: adding convert Team to Person and Pe... Closed
Related to EDIT - feature request #9363: Allow to parse the new team when con... New

Associated revisions

Revision 304fcfc8 - 12/22/2020 12:07 AM - Andreas Miiller

ref #4770, ref #4908, ref #5163 assert that team has protected nomenclatural title after convertPerson2Team

Revision 6057b354 - 12/22/2020 09:48 AM - Andreas Miiller
ref #4770, ref #4908, ref #5163 some finetuning on convertPerson2Team

Revision 18fa7762 - 12/22/2020 10:10 AM - Andreas Miiller

ref #4770, ref #4908, ref #5163 try to remove explicit setting of protected nomecncl. title in convertPerson2Team

Revision dc310185 - 12/22/2020 10:51 AM - Andreas Miiller

ref #4770, ref #4908, ref #5163 remove commented line as it seems to work now

History

#1 - 08/25/2015 01:40 PM - Katja Luther

in the merge strategy the adding of the person(s) to the new created team is missing.
we need:

e parsing the title of the old person whether there is a "&" and/or "," and creating one or more new persons

¢ adding these persons to the new created team.

#2 - 08/27/2015 01:33 PM - Katja Luther
maybe we should not use a merge for convertPerson2team because the new created team should have the person as a teammember, but with
merge the person is deleted.

#3 - 12/21/2020 11:35 PM - Andreas Miiller

- Related to feature request #4769: Allow convert team to person added

#4 - 12/21/2020 11:36 PM - Andreas Miiller

- Related to feature request #4770: Allow convert person to team added

#5 - 12/21/2020 11:36 PM - Andreas Miiller
- Related to feature request #4908: adding convert Team to Person and Person to Team to the bulk editor added

#6 - 12/22/2020 09:56 AM - Andreas Miiller

- Related to feature request #9363: Allow to parse the new team when converting person to team added

#7 - 12/22/2020 09:59 AM - Andreas Miiller

- Subject changed from Converting persons to team members does not work to Converting persons to team members may result in "-empty team-"
- Description updated

- Status changed from New to Closed

- Assignee changed from Katja Luther to Andreas Mdiller

- Target version changed from Unassigned CDM tickets to Release 5.19

- % Done changed from 0 to 100

The "empty team" issue has been solved. The handling of team members has been moved to follow up ticket #9363 as it is not a bug but a feature
that needs to be configurable.
Changing subject of this ticket to be inline with actually fixed issue.

#8 - 12/22/2020 09:59 AM - Andreas Miiller

- Private changed from Yes to No
